# Contributing to Climate Library

First off, thank you for considering contributing to Climate Library! It's people like you that make this project a great tool.

## Code of Conduct

This project and everyone participating in it are governed by the [Climate Library Code of Conduct](CODE_OF_CONDUCT.md). By participating, you are expected to uphold this code. Please report unacceptable behavior to shivshankarsingh.py@gmail.com.

## How Can I Contribute?

### Reporting Bugs

- **Ensure the bug was not already reported** by searching on GitHub under [Issues](https://github.com/shiv3679/climate-indices/issues).
- If you're unable to find an open issue addressing the problem, [open a new one](https://github.com/shiv3679/climate-indices/issues/new). Be sure to include a title and clear description, as much relevant information as possible, and a code sample or an executable test case demonstrating the expected behavior that is not occurring.

### Suggesting Enhancements

- Include the new feature's use case, and why it is aligned with the goals of Climate Library.
- Provide as much detail and context as possible.

### Your First Code Contribution

- Look for open issues with the `good-first-issue` label.
- Fork the repository on GitHub.
- Clone the forked repository to your machine.
- Make your changes, following the coding standards and guidelines described below.
- Commit the changes to your branch.
- Push your changes to your fork on GitHub.
- Submit a Pull Request to the `main` branch.

## Coding Standards

- Follow the [PEP 8](https://www.python.org/dev/peps/pep-0008/) coding style for Python.
- Include unit tests when adding new features or fixing bugs.
- Document new code according to the documentation guidelines.

## Pull Requests

- Fill in the required template.
- Follow the coding standards.
- Include appropriate unit tests.

## Acknowledgments

- Your name
- All contributors

